#include <stdio.h>

void printAi(int arr[], int i, int length) {
    if (i < 1 || i >= length) {
        printf("值不符合要求.\n");
    } else {
        printf("矩阵A%d的维数：%d行x%d列\n", 
              i, arr[i - 1], arr[i]);
        for (int m = 0; m < arr[i - 1]; m++) {
            for (int n = 0; n < arr[i]; n++) {
                printf("0\t");
            }
            printf("\n");
        }
    }
}

int main() {
    int arr[] = {2, 3, 4, 5, 6};
    int length = sizeof(arr) / sizeof(arr[0]);
 
    // 打印矩阵 A2 的维数
    printAi(arr, 2, length);

    return 0;
}
